ApiTimeSeriesCrossEntityMetadata (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiTimeSeriesCrossEntityMetadata

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiTimeSeriesCrossEntityMetadata

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiTimeSeriesCrossEntityMetadata
      extends Object

  A class holding additional metadata to the ApiTimeSeriesAggregateStatistics class that applies specifically to cross-entity aggregate metrics.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiTimeSeriesCrossEntityMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getMaxEntityDisplayName()` The display name of the entity that had the maximum value for the cross-entity aggregate metric.
    `String` | `getMaxEntityName()` The name of the entity that had the maximum value for the cross-entity aggregate metric.
    `String` | `getMinEntityDisplayName()` The display name of the entity that had the minimum value for the cross-entity aggregate metric.
    `String` | `getMinEntityName()` The name of the entity that had the minimum value for the cross-entity aggregate metric.
    `BigDecimal` | `getNumEntities()` The number of entities covered by this point.
    `int` | `hashCode()`
    `ApiTimeSeriesCrossEntityMetadata` | `maxEntityDisplayName(String maxEntityDisplayName)`
    `ApiTimeSeriesCrossEntityMetadata` | `maxEntityName(String maxEntityName)`
    `ApiTimeSeriesCrossEntityMetadata` | `minEntityDisplayName(String minEntityDisplayName)`
    `ApiTimeSeriesCrossEntityMetadata` | `minEntityName(String minEntityName)`
    `ApiTimeSeriesCrossEntityMetadata` | `numEntities(BigDecimal numEntities)`
    `void` | `setMaxEntityDisplayName(String maxEntityDisplayName)`
    `void` | `setMaxEntityName(String maxEntityName)`
    `void` | `setMinEntityDisplayName(String minEntityDisplayName)`
    `void` | `setMinEntityName(String minEntityName)`
    `void` | `setNumEntities(BigDecimal numEntities)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiTimeSeriesCrossEntityMetadata

          public ApiTimeSeriesCrossEntityMetadata()

  - ### Method Detail

    - #### maxEntityDisplayName

          public ApiTimeSeriesCrossEntityMetadata maxEntityDisplayName(String maxEntityDisplayName)

    - #### getMaxEntityDisplayName

          public String getMaxEntityDisplayName()

      The display name of the entity that had the maximum value for the cross-entity aggregate metric.
      Returns:
        maxEntityDisplayName

    - #### setMaxEntityDisplayName

          public void setMaxEntityDisplayName(String maxEntityDisplayName)

    - #### maxEntityName

          public ApiTimeSeriesCrossEntityMetadata maxEntityName(String maxEntityName)

    - #### getMaxEntityName

          public String getMaxEntityName()

      The name of the entity that had the maximum value for the cross-entity aggregate metric. <p> Available since API v11.
      Returns:
        maxEntityName

    - #### setMaxEntityName

          public void setMaxEntityName(String maxEntityName)

    - #### minEntityDisplayName

          public ApiTimeSeriesCrossEntityMetadata minEntityDisplayName(String minEntityDisplayName)

    - #### getMinEntityDisplayName

          public String getMinEntityDisplayName()

      The display name of the entity that had the minimum value for the cross-entity aggregate metric.
      Returns:
        minEntityDisplayName

    - #### setMinEntityDisplayName

          public void setMinEntityDisplayName(String minEntityDisplayName)

    - #### minEntityName

          public ApiTimeSeriesCrossEntityMetadata minEntityName(String minEntityName)

    - #### getMinEntityName

          public String getMinEntityName()

      The name of the entity that had the minimum value for the cross-entity aggregate metric. <p> Available since API v11.
      Returns:
        minEntityName

    - #### setMinEntityName

          public void setMinEntityName(String minEntityName)

    - #### numEntities

          public ApiTimeSeriesCrossEntityMetadata numEntities(BigDecimal numEntities)

    - #### getNumEntities

          public BigDecimal getNumEntities()

      The number of entities covered by this point. For a raw cross-entity point this number is exact. For a rollup point this number is an average, since the number of entities being aggregated can change over the aggregation period.
      Returns:
        numEntities

    - #### setNumEntities

          public void setNumEntities(BigDecimal numEntities)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.